Zum Hauptinhalt springen
POST
/
crm
/
v3
/
properties
/
{objectType}
/
batch
/
create
Einen Batch mit Eigenschaften erstellen
curl --request POST \
  --url https://api.hubapi.com/crm/v3/properties/{objectType}/batch/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "displayOrder": 2,
      "fieldType": "select",
      "formField": true,
      "groupName": "contactinformation",
      "hasUniqueValue": false,
      "hidden": false,
      "label": "My Contact Property",
      "name": "my_contact_property",
      "options": [
        {
          "description": "Choice number one",
          "displayOrder": 1,
          "hidden": false,
          "label": "Option A",
          "value": "A"
        },
        {
          "description": "Choice number two",
          "displayOrder": 2,
          "hidden": false,
          "label": "Option B",
          "value": "B"
        }
      ],
      "type": "enumeration"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "displayOrder": 2,
      "fieldType": "select",
      "formField": true,
      "groupName": "contactinformation",
      "hasUniqueValue": false,
      "hidden": false,
      "label": "My Contact Property",
      "modificationMetadata": {
        "archivable": true,
        "readOnlyDefinition": false,
        "readOnlyOptions": false,
        "readOnlyValue": false
      },
      "name": "my_contact_property",
      "options": [
        {
          "description": "Choice number one",
          "displayOrder": 1,
          "hidden": false,
          "label": "Option A",
          "value": "A"
        },
        {
          "description": "Choice number two",
          "displayOrder": 2,
          "hidden": false,
          "label": "Option B",
          "value": "B"
        }
      ],
      "type": "enumeration"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Unterstützte Produkte

Erfordert eines der folgenden Produkte oder höher.
Marketing HubMarketing Hub -Kostenlos
Sales HubSales Hub -Kostenlos
Service HubService Hub -Kostenlos
Content HubContent Hub -Kostenlos

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

objectType
string
erforderlich

Der Objekttyp, für den ein Batch neuer Eigenschaften erstellt wird.

Body

application/json
inputs
object[]
erforderlich

Antwort

successful operation

completedAt
string<date-time>
erforderlich

Der Zeitstempel, der angibt, wann der Batch-Vorgang abgeschlossen wurde.

results
object[]
erforderlich
startedAt
string<date-time>
erforderlich

Der Zeitstempel, der angibt, wann der Batch-Vorgang mit der Verarbeitung begonnen hat.

status
enum<string>
erforderlich

Der aktuelle Status des Batch-Vorgangs mit den möglichen Werten CANCELED, COMPLETE, PENDING oder PROCESSING.

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

Eine Sammlung von URLs, die auf Dokumentationen oder Ressourcen verweisen, die sich auf den Batch-Vorgang beziehen.

numErrors
integer<int32>

Die Gesamtanzahl der während des Batch-Vorgangs aufgetretenen Fehler.

requestedAt
string<date-time>

Der Zeitstempel, der angibt, wann der Batch-Vorgang angefragt wurde.

Last modified on March 24, 2026